Loading...
Searching...
No Matches
L4::Ipc_svr::Timeout Class Referenceabstract
The L4Re IPC Framework » Server-Side IPC framework

Callback interface for Timeout_queue. More...

`#include <ipc_timeout_queue>`

Inheritance diagram for L4::Ipc_svr::Timeout:
Collaboration diagram for L4::Ipc_svr::Timeout:

## Public Member Functions

| Timeout ()
| Make a timeout.
virtual | ~Timeout ()=0
| Destroy a timeout.
virtual void | expired ()=0
| callback function to be called when timeout happened
l4_kernel_clock_t | timeout () const
| return absolute timeout of this callback.
Public Member Functions inherited from cxx::H_list_item_t< void >
| H_list_item_t ()
| Constructor.
| ~H_list_item_t () noexcept
| Destructor.

## Detailed Description

Callback interface for Timeout_queue.

Definition at line 18 of file ipc_timeout_queue.

## Member Function Documentation

## expired()

virtual void L4::Ipc_svr::Timeout::expired | ( |  | ) |

pure virtual

callback function to be called when timeout happened

Note
  The timeout object is already dequeued when this function is called, this means the timeout may be safely queued again within the expired() function.

Referenced by L4::Ipc_svr::Timeout_queue::handle_expired_timeouts().

Here is the caller graph for this function:

## timeout()

l4_kernel_clock_t L4::Ipc_svr::Timeout::timeout | ( |  | ) | const

inline

return absolute timeout of this callback.

Returns
  absolute timeout for this instance of the timeout.

Precondition
  The timeout object must have been in a queue before, otherwise the timeout is not set.

Definition at line 42 of file ipc_timeout_queue.

The documentation for this class was generated from the following file:

- l4/cxx/ipc_timeout_queue